# fatfs_dent.c File Reference

## Detailed Description

FAT file name walking code.

`#include "fs_tools_i.h"`
`#include "fatfs.h"`

## Defines

#define | MAX_DEPTH 128
#define | DIR_STRSZ 4096

## Functions

uint8_t | fatfs_dent_walk (TSK_FS_INFO *fs, INUM_T inode, TSK_FS_DENT_FLAG_ENUM flags, TSK_FS_DENT_TYPE_WALK_CB action, void *ptr)
| The main (external) function to do directory entry walking.

## Function Documentation

uint8_t fatfs_dent_walk | ( | TSK_FS_INFO * | fs,
|  | INUM_T | inode,
|  | TSK_FS_DENT_FLAG_ENUM | flags,
|  | TSK_FS_DENT_TYPE_WALK_CB | action,
|  | void * | ptr
| ) |

The main (external) function to do directory entry walking.

Parameters:

  | fs | File system state structure
  | inode | Root directory inode to start walking on
  | flags | flags to use while walking (TSK_FS_DENT_FLAG_ALLOC, TSK_FS_DENT_FLAG_UNALLOC, and TSK_FS_DENT_FLAG_RECURSE) #
  | action | Callback to call for each directory entry.
  | ptr | Pointer to data that should be passed to callback.

Returns:
  1 on error and 0 on success.